import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Mode_Button here.
 * 
 * @author Kevin Minter 
 * @version 5/15/2012
 */
public class Mode_Button extends Actor
{
    public String mode;

    public Mode_Button()
    {
        mode="Planet";
        updateImage();
    }

    /**
     * Act - do whatever the Buttons wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(Greenfoot.mousePressed(this))
        {
            if(mode=="Planet")
            {
                mode="Sun";
                updateImage();
            }
            else if(mode=="Sun")
            {
                mode="Black";
                updateImage();
            }
            else if(mode=="Black")
            {
                mode="Moon";
                updateImage();
            }
            else if(mode=="Moon")
            {
                mode="Planet";
                updateImage();
            }
        }
    }    

    /**
     * updateImage
     * sets the image depanding on the mode
     */
    public void updateImage()
    {
        if(mode=="Planet")
        {
            setImage("planet_button.png");
        }
        else if(mode=="Sun")
        {
            setImage("sun_button.png");
        }
        else if(mode=="Black")
        {
            setImage("black_button.png");
        }
        else if(mode=="Moon")
        {
            setImage("moon_button.png");
        }
    }

    /**
     * getMode
     * returns the current state of the button
     */
    public String getMode()
    {
        return mode;
    }
}
