import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Play_Button here.
 * 
 * @author Kevin Minter 
 * @version 5/15/2012
 */
public class Play_Button extends Actor
{
    public String mode;

    public Play_Button()
    {
        mode="Pause";
        updateImage();
    }

    /**
     * Act - do whatever the Play_Button wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(Greenfoot.mousePressed(this))
        {
            if(mode=="Play")
            {
                mode="Pause";
                updateImage();
            }
            else if(mode=="Pause")
            {
                mode="Play";
                updateImage();
            }
        }
    }    

    /**
     * updateImage
     * sets the image depanding on the mode
     */
    public void updateImage()
    {
        if(mode=="Play")
        {
            setImage("pause_button.png");
        }
        else if(mode=="Pause")
        {
            setImage("play_button.png");
        }
    }

    /**
     * getMode
     * returns the current state of the button
     */
    public String getMode()
    {
        return mode;
    }
}
